# ACE_RMCast::Profile Struct Reference

`#include <Protocol.h>`

Inheritance diagram for ACE_RMCast::Profile:

[legend]
Collaboration diagram for ACE_RMCast::Profile:

[legend]
List of all members.

## Public Member Functions

virtual | ~Profile ()
Profile_ptr | clone ()
u16 | id () const
u16 | size () const
virtual void | serialize_body (ostream &) const =0
virtual void | serialize_body (sstream &) const =0

## Protected Member Functions

| Profile (u16 id)
| Profile (Header const &h)
virtual Profile_ptr | clone_ ()=0
void | size (u16 s)
u16 | calculate_size ()

## Private Member Functions

Profile & | operator= (Profile const &)

## Private Attributes

Header | header_

## Friends

ostream & | operator<< (ostream &os, Profile const &p)
sstream & | operator<< (sstream &ss, Profile const &p)

## Constructor & Destructor Documentation

virtual ACE_RMCast::Profile::~Profile | ( |  | ) | `[inline, virtual]`

ACE_RMCast::Profile::Profile | ( | u16 | id | ) | `[inline, protected]`

ACE_RMCast::Profile::Profile | ( | Header const & | h | ) | `[inline, protected]`

## Member Function Documentation

u16 ACE_RMCast::Profile::calculate_size | ( |  | ) | `[inline, protected]`

Profile_ptr ACE_RMCast::Profile::clone | ( |  | ) | `[inline]`

| Reimplemented in ACE_RMCast::From, ACE_RMCast::To, ACE_RMCast::Data, ACE_RMCast::SN, ACE_RMCast::NRTM, ACE_RMCast::NoData, and ACE_RMCast::Part.

virtual Profile_ptr ACE_RMCast::Profile::clone_ | ( |  | ) | `[protected, pure virtual]`

| Implemented in ACE_RMCast::From, ACE_RMCast::To, ACE_RMCast::Data, ACE_RMCast::SN, ACE_RMCast::NRTM, ACE_RMCast::NoData, and ACE_RMCast::Part.

u16 ACE_RMCast::Profile::id | ( |  | ) | const`[inline]`

Profile& ACE_RMCast::Profile::operator= | ( | Profile const & |  | ) | `[private]`

virtual void ACE_RMCast::Profile::serialize_body | ( | sstream & |  | ) | const`[pure virtual]`

| Implemented in ACE_RMCast::From, ACE_RMCast::To, ACE_RMCast::Data, ACE_RMCast::SN, ACE_RMCast::NRTM, ACE_RMCast::NoData, and ACE_RMCast::Part.

virtual void ACE_RMCast::Profile::serialize_body | ( | ostream & |  | ) | const`[pure virtual]`

| Implemented in ACE_RMCast::From, ACE_RMCast::To, ACE_RMCast::Data, ACE_RMCast::SN, ACE_RMCast::NRTM, ACE_RMCast::NoData, and ACE_RMCast::Part.

void ACE_RMCast::Profile::size | ( | u16 | s | ) | `[inline, protected]`

u16 ACE_RMCast::Profile::size | ( |  | ) | const`[inline]`

| Reimplemented in ACE_RMCast::Data.

## Friends And Related Function Documentation

sstream& operator<< | ( | sstream & | ss,
|  | Profile const & | p
| ) | `[friend]`

ostream& operator<< | ( | ostream & | os,
|  | Profile const & | p
| ) | `[friend]`

## Member Data Documentation

Header ACE_RMCast::Profile::header_`[private]`

The documentation for this struct was generated from the following file:

- Protocol.h